Create Signal Schema

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.thankly.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Thankly MCP server": {
  "url": "https://docs.thankly.ai/mcp"
}
Close
POST /v1/admin/orgs/{org_id}/signal-schemas

Path parameters

  • org_id string Required
application/json

Body Required

  • signal_type string Required

    Unique type identifier for this org, e.g. 'loyalty_tier_change'

  • json_schema object Required

    JSON Schema object describing the properties payload

    Additional properties are allowed.

Responses

  • 201 application/json

    Successful Response

    Hide response attributes Show response attributes object
    • id string Required
    • org_id string Required
    • signal_type string Required
    • json_schema object Required

      Additional properties are allowed.

    • version integer Required
    • active boolean Required
    • created_at string(date-time) Required
    • updated_at string(date-time) Required
  • 422 application/json

    Validation Error

    Hide response attribute Show response attribute object
    • detail array[object]
      Hide detail attributes Show detail attributes object
      • loc array[string | integer] Required
      • msg string Required
      • type string Required
      • input
      • ctx object
POST /v1/admin/orgs/{org_id}/signal-schemas
curl \
 --request POST 'http://api.example.com/v1/admin/orgs/{org_id}/signal-schemas' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"signal_type":"string","json_schema":{}}'
Request examples
{
  "signal_type": "string",
  "json_schema": {}
}
Response examples (201)
{
  "id": "string",
  "org_id": "string",
  "signal_type": "string",
  "json_schema": {},
  "version": 42,
  "active": true,
  "created_at": "2026-05-04T09:42:00Z",
  "updated_at": "2026-05-04T09:42:00Z"
}
Response examples (422)
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "ctx": {}
    }
  ]
}